# $Revision: 1.25 $, $Date: 2002/08/10 14:57:34 $                    
Summary:	The GNOME Fax Application
Summary(pl):	Aplikacja GNOME do faksw
Name:		gfax
Version:	0.4.2
Release:	5
License:	GPL
Group:		Applications/Communications
Source0:	http://www.cowlug.org/gfax/%{name}-%{version}.tar.gz
Patch0:		%{name}-use_AM_GNU_GETTEXT.patch
Patch1:		%{name}-add_uk_to_ALL_LINGUAS.aptch
Patch2:		%{name}-time.h.patch
URL:		http://www.cowlug.org/gfax/
BuildRequires:	bison
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	gnome-libs-devel
BuildRequires:	gnome-print-devel >= 0.28
BuildRequires:	libglade-gnome-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6

%description
Gfax is a popup tool for easily sending facsimilies by printing to a
fax printer.

Gfax works with GNOME.

%description -l pl
Gfax jest narzdziem do atwego wysyania faksw poprzez drukowanie
ich na drukarce faksowej. Gfax dziaa z GNOME.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
rm -f missing
%{__gettextize}
aclocal -I macros
CFLAGS="%{optflags} `pkg-config libglade-gnome --cflags`"
%{__autoconf}
%{__automake}

%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	Applicationsdir=%{_applnkdir}/Office/Misc

%find_lang %{name} --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README FAQ-gfax
%attr(755,root,root) %{_bindir}/gfax
%{_datadir}/gfax
%{_pixmapsdir}/*
%{_applnkdir}/Office/Misc/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: gfax.spec,v $
Revision 1.25  2002/08/10 14:57:34  kloczek
- release 5.

Revision 1.24  2002/08/06 13:28:56  qboosh
- BR: libglade-gnome-devel

Revision 1.23  2002/06/23 20:52:50  kloczek
perl -pi -e "s/^gettextize --copy --force/\%%\{__gettextize\}/"

Revision 1.22  2002/06/16 07:38:50  kloczek
- release 4,
- fix building on latest libglade,
- use new %doc,
- include in %files languades dependent files.

Revision 1.21  2002/05/21 23:13:08  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.20  2002/05/12 13:06:05  blues
- rm -f missing
- Updated URLs

Revision 1.19  2002/04/25 16:22:36  arturs
fixed a small typo

Revision 1.18  2002/03/24 23:28:17  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.17  2002/02/25 06:25:51  kloczek
- release 3.

Revision 1.16  2002/02/22 23:28:56  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.15  2002/01/18 02:13:02  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.14  2001/10/04 15:02:54  qboosh
- pl summary, BuildRequires: autoconf,automake

Revision 1.13  2001/04/23 17:53:10  kloczek
- release 2,
- fix compile on glibc 2.2.x (time.h patch),
- added missing gnome-print-devel to BuildRequires and rebuild against
  gnome-print 0.28,
- added missing uk to ALL_LINGUAS (add_uk_to_ALL_LINGUAS patch).

Revision 1.12  2001/02/02 17:50:33  kloczek
- perl -pi -e "s/^\%\{_datadir\}\/pixmaps/\%\{_pixmapsdir\}/"

Revision 1.11  2000/10/30 21:30:19  kloczek
- updated to 0.4.2.

Revision 1.10  2000/10/30 13:27:08  kloczek
- release 3: rebuild against gnome-libs linked with db3.

Revision 1.9  2000/10/03 06:32:27  kloczek
- release 2: adapterized.

Revision 1.8  2000/09/24 21:42:40  kloczek
- updated to 0.4.1,
- added BuildRequires rules,
- rewrited %build, %install and updated %files list.

Revision 1.7  2000/06/09 07:22:50  kloczek
- added using %%{__make} macro.

Revision 1.6  2000/05/18 21:48:36  kloczek
- spec adapterized.

Revision 1.5  2000/04/01 11:14:26  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.4  2000/03/29 22:58:14  arturs
-added %description -l pl

Revision 1.3  2000/03/28 16:54:17  baggins
- translated kloczkish into english

Revision 1.2  1999/07/17 12:41:14  kloczek
- partialy rewrited (NFY),
- added template %changelog header and using CVS keywords.
